{
  "openapi": "3.1.0",
  "info": {
    "description": "# Overview\n\n- **Version:** 2.0.0\n- **Servers:** `https://store.xsolla.com/api`\n- [Contact Us by Email](mailto:integration@xsolla.com)\n- **Contact URL:** https://xsolla.com/\n- **Required TLS version:** 1.2\n\nThe Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.\n\nThe API allows you to manage the following catalog entities:\n\n* **Virtual items** — in-game items such as weapons, skins, boosters.\n* **Virtual currency** — virtual money used to purchase virtual goods.\n* **Virtual currency packages** — predefined bundles of virtual currency.\n* **Bundles** — combined packages of virtual items, currency, or game keys sold as a single SKU.\n* **Game keys** — keys for games and DLCs distributed via platforms like Steam or other DRM providers.\n* **Groups** — logical groupings for organizing and sorting items within the catalog.\n\n## API calls\n\nThe API is divided into the following groups:\n\n* **<nt>Admin</nt>** — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via [basic access authentication](https://developers.xsolla.com/ko/payment-ui-and-flow/payment-ui/how-to-get-payment-token/#payments_solution_get_user_auth_token_basic_auth) with your merchant or project credentials. Not intended for storefront use.\n* **<nt>Catalog</nt>** — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.\n\n# Authentication\n\nAPI calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the **Security** section in the description of each call.\n\n## Authentication using user's JWT\n\nUser's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the `XsollaLoginUserJWT` scheme is applied. For details on how to create a token, see the [Xsolla Login API documentation](/ko/api/login/authentication-schemes#getting-user-token).\n\nThe token is passed in the `Authorization` header in the following format: `Authorization: Bearer <user_JWT>`, where `<user_JWT>` is the user token. The token identifies the user and provides access to personalized data.\n\n또는 [결제 UI를 여는 토큰](/ko/api/pay-station/token/create-token)을 사용할 수 있습니다.\n\n## Basic HTTP authentication\n\nBasic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an [API key](/ko/api/getting-started/#api_keys_overview) is typically used.\n\n<div class=\"note\"><b>Note</b><br><br>The API key is confidential and must not be stored or used in client applications.</div>\n\nWith basic server-side authentication, all API requests must include the following header:\n\n- for `basicAuth` — `Authorization: Basic <your_authorization_basic_key>`, where `your_authorization_basic_key` is the `project_id:api_key` pair encoded in Base64\n- for `basicMerchantAuth` — `Authorization: Basic <your_authorization_basic_key>`, where `your_authorization_basic_key` is the `merchant_id:api_key` pair encoded in Base64\n\nYou can find the parameter values in [Publisher Account](https://publisher.xsolla.com/):\n\n- `merchant_id` is displayed:\n  - In **Company settings > Company**.\n  - In the URL in the browser address bar on any Publisher Account page. The URL has the following format: `https://publisher.xsolla.com/<merchant_id>`.\n- `project_id` is displayed:\n  - Next to the project name in Publisher Account.\n  - In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: `https://publisher.xsolla.com/<merchant_id>/projects/<project_id>`.\n- `api_key` is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:\n  - [Company settings > API keys](https://publisher.xsolla.com/0/settings/api_key)\n  - [Project settings > API key](https://publisher.xsolla.com/0/projects/0/edit/api_key)\n\n<div class=\"notice\"><b>Notice</b><br><br>If a required API call doesn't include the <code>project_id</code> path parameter, use an API key that is valid across all company projects for authorization.</div>\n\nFor more information about working with API keys, see the [API references](/ko/api/getting-started/#api_keys_overview).\n\n## Authentication with guest access support\n\n이 `AuthForCart` 인증 체계는 장바구니 구매에 사용되며 두 가지 모드를 지원합니다.\n\n1. **Authentication with a user's JWT.** The token is passed in the `Authorization` header in the following format: `Authorization: Bearer <user_JWT>`, where `<user_JWT>` is the user token. The token identifies the user and provides access to personalized data.\nAlternatively, you can use a [token for opening the payment UI](/ko/api/pay-station/token/create-token).\n\n2. **Simplified mode without Authorization header.** This mode is used only for unauthorized users and can be applied only for [game key sales](/ko/doc/buy-button/how-to/set-up-authentication/#guides_buy_button_selling_items_not_authenticated_users). Instead of a token, the request must include the following headers:\n   - `x-unauthorized-id` with a request ID\n   - `x-user` with the user's email address encoded in Base64\n\n## Useful links\n\n- [API calls by interaction model](https://developers.xsolla.com/ko/api/catalog/)\n- [Endpoint types](https://developers.xsolla.com/ko/api/catalog/)\n- [Errors handling](https://developers.xsolla.com/ko/api/catalog/)\n- [API keys](https://developers.xsolla.com/ko/api/catalog/)\n- [Webhooks](https://developers.xsolla.com/ko/api/catalog/)\n\n# Core entity structure\n\nItems of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.\n\n<div class=\"note\"><b>Note</b><br><br>Some calls may include additional fields but they don't change the basic structure.</div>\n\n**Identification**\n\n- `merchant_id` — company ID in [Publisher Account](https://publisher.xsolla.com/)\n- `project_id` — project ID in Publisher Account\n- `sku` — item SKU, unique within the project\n\n**Store display**\n\n- `name` — item name\n- `description` — item description\n- `image_url` — image URL\n- `is_enabled` — item availability\n- `is_show_in_store` — whether the item is displayed in the catalog\n\nFor more information about managing item availability in the catalog, see the [documentation](/ko/items-catalog/catalog-features/items-availability/).\n\n**Organization**\n\n- `type` — item type, for example, a virtual item (`virtual_item`) or bundle (`bundle`)\n- `groups` — groups the item belongs to\n- `order` — display order in the catalog\n\n**Sale conditions**\n\n- `prices` — prices in real or virtual currency\n- `limits` — purchase limits\n- `periods` — availability periods\n- `regions` — regional restrictions\n\n**Example of core entity structure:**\n\n```json\n{\n  \"attributes\": [],\n  \"bundle_type\": \"virtual_currency_package\",\n  \"content\": [\n    {\n      \"description\": {\n        \"en\": \"Main in-game currency\"\n      },\n      \"image_url\": \"https://.../image.png\",\n      \"name\": {\n        \"en\": \"Crystals\",\n        \"de\": \"Kristalle\"\n      },\n      \"quantity\": 500,\n      \"sku\": \"com.xsolla.crystal_2\",\n      \"type\": \"virtual_currency\"\n    }\n  ],\n  \"description\": {\n    \"en\": \"Crystals x500\"\n  },\n  \"groups\": [],\n  \"image_url\": \"https://.../image.png\",\n  \"is_enabled\": true,\n  \"is_free\": false,\n  \"is_show_in_store\": true,\n  \"limits\": {\n    \"per_item\": null,\n    \"per_user\": null,\n    \"recurrent_schedule\": null\n  },\n  \"long_description\": null,\n  \"media_list\": [],\n  \"name\": {\n    \"en\": \"Medium crystal pack\"\n  },\n  \"order\": 1,\n  \"periods\": [\n    {\n      \"date_from\": null,\n      \"date_until\": \"2020-08-11T20:00:00+03:00\"\n    }\n  ],\n  \"prices\": [\n    {\n      \"amount\": 20,\n      \"country_iso\": \"US\",\n      \"currency\": \"USD\",\n      \"is_default\": true,\n      \"is_enabled\": true\n    }\n  ],\n  \"regions\": [],\n  \"sku\": \"com.xsolla.crystal_pack_2\",\n  \"type\": \"bundle\",\n  \"vc_prices\": []\n}\n```\n\n# Basic purchase flow\n\nThe Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into **Admin** and **Catalog** subsections, which use different [authentication schemes](/ko/api/catalog/section/authentication).\n\nThe following example shows a basic flow for setting up and operating a store, from item creation to purchase.\n\n## Create items and groups (Admin)\n\nCreate an item catalog for your store, such as virtual items, bundles, or virtual currency.\n\nExample API calls:\n- [Create virtual item](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-item)\n- [Create bundle](/ko/api/catalog/bundles-admin/admin-create-bundle)\n- [Create virtual currency](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-currency)\n\n## Set up promotions, chains, and limits (Admin)\n\nConfigure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.\n\nExample API calls:\n- [Create bonus promotion](/ko/api/liveops/promotions-bonuses/create-bonus-promotion)\n- [Create daily reward](/ko/api/liveops/daily-chain-admin/admin-create-daily-chain)\n- [Create unique catalog offer promotion](/ko/api/liveops/promotions-unique-catalog-offers/admin-create-unique-catalog-offer)\n\n## Get item information (Client)\n\nConfigure item display in your application.\n\n<div class=\"notice\">\n  <b>Notice</b><br><br>\n    Do not use API calls from the Admin subsection to build a user catalog. These API calls have <a href=\"https://developers.xsolla.com/ko/api/getting-started/#api_rate_limits\" target=\"_blank\">rate limits</a> and aren't intended for user traffic.\n</div>\n\n<br>\n\nExample API calls:\n- [Get virtual items list](/ko/api/catalog/virtual-items-currency-catalog/get-virtual-items)\n- [Get item group list](/ko/api/catalog/virtual-items-currency-catalog/get-item-groups)\n- [Get list of bundles](/ko/api/catalog/bundles-catalog/get-bundle-list)\n- [Get sellable items list](/ko/api/catalog/common-catalog/get-sellable-items)\n\n<div class=\"note\">\n  <b>Note</b><br><br>\n    By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter <code>\"show_inactive_time_limited_items\": 1</code> in the catalog request.\n</div>\n\n## Sell items\n\nYou can sell items using the following methods:\n- Fast purchase — sell one SKU multiple times.\n- Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.\n\nIf an item is purchased using virtual currency instead of real money, use the [Create order with specified item purchased by virtual currency](/ko/api/catalog/virtual-payment/create-order-with-item-for-virtual-currency) API call. The payment UI is not required, as the charge is processed when the API call is executed.\n\nFor free item purchase, use the [Create order with specified free item](/ko/api/catalog/free-item/create-free-order-with-item) API call or the [Create order with free cart](/ko/api/catalog/free-item/create-free-order) API call. The payment UI is not required — the order is immediately set to the <code>done</code> status.\n\n### Fast purchase\n\nUse the client-side API call to [create an order with a specified item](/ko/api/catalog/payment-client-side/create-order-with-item). The call returns a token used to open the payment UI.\n\n<div class=\"note\">\n  <b>Note</b><br><br>\n    Discount information is available to the user only in the payment UI. Promo codes are not supported.\n</div>\n\n### Cart purchase\n\nCart setup and purchase can be performed on the client or on the server side.\n\n**Set up and purchase a cart on the client**\n\nImplement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.\n\nImplement the following cart logic:\n1. After the player has filled a cart, use the [Fill cart with items](/ko/api/shop-builder/operation/cart-fill/) API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).\n2. Update the cart contents based on user actions:\n   - To add an item or change item quantity, use the [Update cart item by cart ID](/ko/api/shop-builder/operation/put-item-by-cart-id/) API call.\n   - To remove an item, use the [Delete cart item by cart ID](/ko/api/shop-builder/operation/delete-item-by-cart-id/) API call.\n\n<div class=\"note\">\n  <b>Note</b><br><br>\n    To get the current status of the cart, use the Get current user's cart API call.\n</div>\n\n3. Use the [Create order with all items from current cart](/ko/api/shop-builder/operation/create-order/) API call. The call returns the order ID and payment token. The newly created order is set to <code>new</code> status by default.\n\n**Set up and purchase a cart on the server**\n\nThis setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.\n\nImplement the following cart logic:\n1. After the player has filled a cart, use the [Fill cart with items](/ko/api/catalog/cart-server-side) API call. The call returns current information about the selected items (prices before and after discounts, bonus items).\n2. Use the [Create order with all items from current cart](/ko/api/shop-builder/operation/create-order/) API call. The call returns the order ID and payment token. The newly created order is set to <code>new</code> status by default.\n\n## Open payment UI\n\nUse the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the [documentation](/ko/payment-ui-and-flow/payment-ui/how-to-open-payment-ui/#open_payment_ui).\n\n| Action                          | Endpoint                                                                  |\n|:--------------------------------|:--------------------------------------------------------------------------|\n| Open in production environment. | <code>https://secure.xsolla.com/paystation4/?token={token}</code>         |\n| Open in sandbox mode.           | <code>https://sandbox-secure.xsolla.com/paystation4/?token={token}</code> |\n\n<div class=\"note\">\n  <b>Note</b><br><br>\n    Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use <a href=\"https://developers.xsolla.com/ko/dev-resources/testing/test-cards/\">test bank cards</a>.\n\n    After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in [Publisher Account > Company settings > Users](https://publisher.xsolla.com/0/settings/users).\n\n    Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in [Publisher Account](https://publisher.xsolla.com/), go to **Agreements & Taxes > Agreements**, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.\n</div>\n\nTo enable or disable sandbox mode, change the value of the `sandbox` parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.\n\nPossible order statuses:\n- `new` — order created\n- `paid` — payment received\n- `done` — item delivered\n- `canceled` — order canceled\n- `expired` — order expired\n\nTrack order status using one of the following methods:\n- [webhooks configured on your server](/ko/virtual-goods/own-ui/server-side-token-generation/set-up-order-tracking/#payments_integration_order_tracking)\n- [short-polling](/ko/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/#guides_shop_builder_integrate_store_get_order_status_via_short_polling)\n- [WebSocket API](/ko/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/#guides_shop_builder_integrate_store_get_order_status_via_websocket_api)\n\n## Useful links\n\n- Authentication\n- [API calls by interaction model](/ko/api/catalog/section/authentication)\n- [Payment testing](/ko/dev-resources/testing/general-info/#general_overview)\n- [Set up order status tracking](/ko/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/?link=200-api#payments_integration_order_tracking)\n- [Webhooks](/ko/webhooks/overview)\n- [Rate limits](/ko/api/login/rate-limits)\n- [Errors handling](/ko/api/getting-started/#api_errors_handling)\n- [API keys](/ko/api/getting-started/#api_keys_overview)\n\n# Pagination\n\nAPI calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.\n\nUse the following parameters to control the number of returned items:\n\n- `limit` — number of items per page\n- `offset` — index of the first item on the page (numbering starts from 0)\n- `has_more` — indicates whether another page is available\n- `total_items_count` — total number of items\n\nExample request:\n\n```\nGET /items?limit=20&offset=40\n```\n\nResponse example:\n\n```json\n{\n  \"items\": [...],\n  \"has_more\": true,\n  \"total_items_count\": 135\n}\n```\n\nIt is recommended to send subsequent requests until the response returns `has_more = false`.\n\n# Date and time format\n\nDates and time values are passed in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.\n\nThe following are supported:\n\n- UTC offset\n- `null` value when there is no time restriction for displaying an item\n- [Unix timestamp](https://www.unixtimestamp.com/) (in seconds) used in some fields\n\nFormat: `YYYY-MM-DDTHH:MM:SS±HH:MM`\n\nExample: `2026-03-16T10:00:00+03:00`\n\n# Localization\n\nXsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the [documentation](/ko/doc/shop-builder/references/supported-languages/).\n\n**Supported fields**\n\nLocalization can be specified for the following parameters:\n\n- `name`\n- `description`\n- `long_description`\n\n**Locale format**\n\nThe locale key can be specified in one of the following formats:\n\n- Two-letter language code: `en`, `ru`\n- Five-letter language code: `en-US`, `ru-RU`, `de-DE`\n\n**Examples**\n\nExample with a two-letter language code:\n\n```json\n{\n  \"name\": {\n    \"en\": \"Starter Pack\",\n    \"ru\": \"Стартовый набор\"\n  }\n}\n```\n\nExample with a five-letter language code:\n\n```json\n{\n  \"description\": {\n    \"en-US\": \"Premium bundle\",\n    \"de-DE\": \"Premium-Paket\"\n  }\n}\n```\n\n# Country and currency determination\n\nThe user's country determines catalog prices, the payment currency, and available payment methods\nin the payment UI. Depending on the API call, the country is determined as follows:\n<ul>\n  <li>In <a href=\"https://developers.xsolla.com/ko/api/catalog/payment-client-side/create-order-by-cart-id\">client-side API calls</a>,\n    the country is determined by the IP address of the request.</li>\n  <li>In <a href=\"https://developers.xsolla.com/ko/api/catalog/payment-server-side/admin-create-payment-token\">server-side API calls</a>,\n    the country is determined by the value of the <code>user.country.value</code> parameter or by the user's IP address\n    from the <code>X-User-Ip</code> header. If both are passed, the <code>user.country.value</code> parameter takes precedence.</li>\n</ul>\n\n<div class=\"note\">\n  <b>Note</b><br><br>\n    Only <a href=\"https://en.wikipedia.org/wiki/IPv4\">IPv4</a> addresses are supported for country determination.\n    Passing an <a href=\"https://en.wikipedia.org/wiki/IPv6\">IPv6</a> address may result in incorrect country\n    and currency detection. If you use the server-side API call and cannot provide the user's IPv4 address,\n    pass the country in the <code>user.country.value</code> parameter.\n</div>\n\n# Error response format\n\nIf an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the [documentation](/ko/dev-resources/references/errors/store-errors/).\n\n**Response example:**\n\n```json\n{\n  \"errorCode\": 1102,\n  \"errorMessage\": \"Validation error\",\n  \"statusCode\": 422,\n  \"transactionId\": \"c9e1a...\"\n}\n```\n\n- `errorCode` — error code.\n- `errorMessage` — short error description.\n- `statusCode` — HTTP response status.\n- `transactionId` — request ID. Returned only in some cases.\n- `errorMessageExtended` — additional error details, such as request parameters. Returned only in some cases.\n\n**Extended response example:**\n\n```json\n{\n  \"errorCode\": 7001,\n  \"errorMessage\": \"Chain not found\",\n  \"errorMessageExtended\": {\n    \"chain_id\": \"test_chain_id\",\n    \"project_id\": \"test_project_id\",\n    \"step_number\": 2\n  },\n  \"statusCode\": 404\n}\n```\n\n**Common HTTP status codes**\n\n- `400` — invalid request\n- `401` — authentication error\n- `403` — insufficient permissions\n- `404` — resource not found\n- `422` — validation error\n- `429` — rate limit exceeded\n\n**Recommendations**\n\n- Handle the HTTP status and the response body together.\n- Use `errorCode` to process errors related to application logic.\n- Use `transactionId` to identify requests more quickly when analyzing errors.",
    "version": "2.0.0",
    "title": "카탈로그 API"
  },
  "servers": [
    {
      "url": "https://store.xsolla.com/api"
    }
  ],
  "tags": [
    {
      "name": "virtual-items-currency-overview",
      "x-displayName": "개요",
      "description": "가상 아이템과 인게임 재화를 사용하여 인게임 스토어를 구축하고 사용자에게 어떻게 디스플레이할지를 구성할 수 있습니다. 다음과 같은 아이템 유형이 제공됩니다:\n\n* 가상 아이템 - 무기, 스킨, 부스터와 같은 인게임 상품. 실제 돈이나 가상 머니로 판매할 수 있습니다.\n* 가상 머니 - 가상 아이템을 구매하는 데 사용되는 인게임 화폐. 실제 돈이나 인게임 재화로 판매할 수 있습니다.\n* 인게임 재화 패키지 - 고정된 양의 인게임 재화. 실제 돈이나 인게임 재화로 판매할 수 있습니다.\n\n그룹은 카탈로그에서 아이템을 구성하는 데 사용됩니다. 아이템을 논리적으로 그룹화하고 디스플레이 방식을 관리할 수 있습니다.\n\n<b>Admin</b> 하위 섹션의 API 호출을 사용하여 아이템을 생성, 업데이트 및 삭제하세요.\n\n<b>Catalog</b> 하위 섹션의 API 호출을 사용하여 아이템 목록을 검색하고 사용자에게 디스플레이하세요.\n\n<div class=\"notice\">\n  <b>알림</b><br><br>\n    스토어 카탈로그를 작성하는 데 <b>Admin</b> 하위 섹션의 API 호출을 사용하지 마세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <b>참고</b><br><br>\n    <a href=\"https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-catalog/get-virtual-items\" target=\"_blank\">가상 아이템 목록 가져오기</a> API 호출은 가격 및 특성을 포함한 자세한 아이템 데이터를 반환하며, 페이지 매김을 지원합니다. 스토어프론트에서 카탈로그 페이지를 표시하는 데 사용하세요.\n    <br><br>\n    <a href=\"https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-catalog/get-all-virtual-items\" target=\"_blank\">모든 가상 아이템 목록 가져오기</a> API 호출은 페이지 매김 없이 아이템 SKU, 이름, 설명, 그룹 ID 및 이름을 반환합니다. 클라이언트 측 검색 또는 색인에 사용하세요.\n</div>\n\n<br>\n\n인게임 재화로 구매할 경우, [인게임 재화로 구매한 지정된 아이템으로 주문 생성](/ko/api/catalog/virtual-payment/create-order-with-item-for-virtual-currency) API 호출을 사용하세요. 결제 UI는 필요하지 않으며, API 호출이 실행될 때 청구가 처리됩니다.\n\n<b>인게임 재화를 사용한 구매 절차 예시:</b>\n\n![인게임 재화를 사용한 구매 절차 예시](https://cdn.xsolla.net/developers/current/images/api_docs/virtual-items-currency-overview.png)"
    },
    {
      "name": "virtual-items-currency-admin",
      "x-displayName": "관리자"
    },
    {
      "name": "virtual-items-currency-catalog",
      "x-displayName": "카탈로그"
    },
    {
      "name": "virtual-payment",
      "x-displayName": "가상 결제"
    },
    {
      "name": "game-keys-overview",
      "x-displayName": "개요",
      "description": "게임 키는 게임 플랫폼에서 사용자가 게임이나 DLC에 접근할 수 있도록 해주는 일회용 고유 영숫자 코드입니다. [직접 링크](/ko/sell-games/set-up-selling-game-keys/#guides_game_sales_selling_game_keys_selling_via_direct_link), [스토어 UI](/ko/sell-games/set-up-selling-game-keys/#guides_game_sales_selling_game_keys_selling_via_store_ui), 또는 [위젯](/ko/sell-games/set-up-selling-game-keys/#guides_game_sales_selling_items_develop_buttons)을 통해 게임 키를 판매할 수 있습니다. 또한 [지역 제한 설정](/ko/items-catalog/catalog-features/regional-restrictions/)을 통해 특정 국가에서만 게임 키를 판매하도록 설정할 수 있습니다. 자세한 내용은 [게임 키 패키지](https://developers.xsolla.com/ko/items-catalog/items-type/set-up-modules/) 섹션을 참조해 주세요.\n\n게임 키를 판매하는 데 사용자 인증은 필요하지 않습니다. 키는 사용자가 결제 시 지정한 이메일 주소로 발송됩니다. 추가 시나리오를 활성화하기 위해 인증을 구성할 수 있습니다. [사용자 맞춤 설정](/ko/liveops/liveops-management/personalization-tutorial/), [구매 제한](/ko/items-catalog/catalog-features/items-catalog-number-limits/), 또는 [자격 시스템](/ko/sell-games/how-to/entitlement-system/). 자세한 내용은 [게임 키 판매 시 인증 설정 방법](/ko/sell-games/how-to/set-up-authentication/) 섹션을 참조해 주세요.\n\n게임 키 판매 절차:\n\n1. [게임 생성](/ko/api/catalog/game-keys-admin/admin-create-game) API 호출을 사용하여 게임을 생성합니다.\n2. 지역 제한을 구성합니다.\n3. [코드 업로드](/ko/api/catalog/game-keys-admin/admin-upload-codes-by-sku) API 호출을 사용하여 게임 키 패키지에 키를 업로드하고 구매가 가능하게 합니다.\n4. [게임 목록 가져오기](/ko/api/catalog/game-keys-catalog/get-games-list) API 호출을 사용하여 사용자의 지역에 맞는 가격이 포함된 게임 카탈로그를 표시합니다.\n5. 주문을 생성합니다. 빠른 구매를 위해 게임 키 SKU를 전달하여 [현재 장바구니의 모든 아이템으로 주문 생성](/ko/api/catalog/payment-client-side/create-order-with-item) API 호출을 사용할 수 있습니다. 응답으로 결제 UI를 열기 위한 토큰이 반환됩니다.\n6. 주문 결제를 위해 결제 UI 열기를 구현합니다.\n\n결제 성공 알림을 실시간으로 받고 사용자에게 아이템을 전달하려면, [웹훅](/ko/webhooks/section/osnovnye-polozheniya) 등을 사용하여 주문 상태 추적을 설정하세요. 키는 사용자가 결제 시 지정한 이메일로 전송되며, 주문 상태가 `done`으로 변경됩니다.\n\n![게임 키](https://cdn.xsolla.net/developers/current/images/api_docs/game-keys.svg)"
    },
    {
      "name": "game-keys-catalog",
      "x-displayName": "카탈로그"
    },
    {
      "name": "game-keys-entitlement",
      "x-displayName": "권한"
    },
    {
      "name": "game-keys-admin",
      "x-displayName": "관리자"
    },
    {
      "name": "bundles-overview",
      "x-displayName": "개요",
      "description": "번들은 하나의 단위로 판매되는 아이템 세트입니다. 번들에는 가상 아이템, 인게임 재화, 인게임 재화 패키지, 게임 키 및 기타 번들이 포함될 수 있습니다. 번들을 활용하여 스타터 팩, 시즌 한정 혜택 및 특별 상품을 구성해 보세요.\n\n번들을 처리하려면 다음 API 호출 그룹을 사용하세요.\n\n* 번들을 생성, 업데이트, 삭제하고 번들의 표시 여부를 관리하려면 <b>관리자</b> 섹션의 API 호출을 사용하세요.\n* 번들을 불러오려면 <b>카탈로그</b> 섹션의 API 호출을 사용하세요.\n\n구매 한도는 번들을 생성하거나 업데이트할 때 `limits` 개체를 통해 구성됩니다. 자세한 내용은 [한도](/ko/api/catalog/limits-overview) 개요를 참조해 주세요. [지역 제한](https://developers.xsolla.com/ko/items-catalog/catalog-features/regional-restrictions/)을 설정하여 특정 국가에서만 아이템을 판매할 수도 있습니다.\n\n<div class=\"note\">\n  <b>참고</b><br><br>\n     번들 구성에 대한 자세한 내용은 <a href=\"https://developers.xsolla.com/ko/items-catalog/items-type/bundles/\" target=\"_blank\">번들</a> 섹션을 참조해 주세요.\n</div>\n\n<br>\n\n<b>번들 관리 시나리오:</b>\n\n1. [번들 생성](/ko/api/catalog/bundles-admin/admin-create-bundle) API 호출을 사용하여 번들을 생성합니다. 생성한 번들을 확인하려면 [번들 가져오기](/ko/api/catalog/bundles-admin/admin-get-bundle) API 호출을 사용합니다. 프로젝트의 모든 번들을 검색하려면 [번들 목록 가져오기](/ko/api/catalog/bundles-admin/admin-get-bundle-list) API 호출을 사용합니다.\n2. 필요한 경우 [번들 업데이트](/ko/api/catalog/bundles-admin/admin-update-bundle) API 호출을 사용하여 번들 콘텐츠 또는 설정을 수정합니다.\n3. [번들 목록 가져오기](/ko/api/catalog/bundles-catalog/get-bundle-list), [지정한 번들 가져오기](/ko/api/catalog/bundles-catalog/get-bundle) 또는 [지정한 그룹별 번들 목록 가져오기](/ko/api/catalog/bundles-catalog/get-bundle-list-in-group) API 호출을 사용하여 스토어프론트에서 번들 표시 로직을 구현합니다.\n4. [장바구니 및 결제](/ko/api/catalog/cart-and-payment-overview) 섹션을 사용하여 주문을 생성합니다. 예를 들어 빠른 구매의 경우 번들 SKU를 전달하여 [지정한 아이템으로 주문 생성](/ko/api/catalog/payment-client-side/create-order-with-item) API 호출을 사용할 수 있습니다. 응답에는 결제 UI를 여는 데 필요한 토큰이 포함됩니다.\n5. 주문을 결제하기 위해 결제 UI 열기를 구현합니다.\n6. [웹훅](https://developers.xsolla.com/ko/webhooks/overview) 등을 사용하여 주문 상태 추적을 설정하면 성공적으로 결제된 아이템에 대한 데이터를 신속하게 수신하고 사용자에게 제공할 수 있습니다.\n\n![번들 관리 시나리오](https://cdn.xsolla.net/developers/current/images/api_docs/bundles.png)"
    },
    {
      "name": "bundles-admin",
      "x-displayName": "관리자"
    },
    {
      "name": "bundles-catalog",
      "x-displayName": "카탈로그"
    },
    {
      "name": "cart-and-payment-overview",
      "x-displayName": "개요",
      "description": "장바구니는 여러 아이템을 하나의 주문으로 결합할 수 있는 구매 매커니즘입니다. 사용자는 실제 통화로 모든 유형의 아이템을 원하는 수량만큼 구매할 수 있으며, [프로모션 코드](https://developers.xsolla.com/ko/api/liveops/promotions-promo-codes)도 사용할 수 있습니다.\n\n장바구니는 엑솔라 측에 저장됩니다. 세션 간 장바구니 저장은 사용자의 인증 여부에 따라 달라집니다.\n  * 인증된 사용자의 경우, 같은 사용자를 대신하여 요청이 전송되는 한 장바구니가 특정 사용자와 연결되어 세션 간에 저장됩니다.\n\n  * [미인증 사용자](/ko/api/catalog/section/authentication/authentication-with-guest-access-support)의 경우, 장바구니 저장은 `x-unauthorized-id` 헤더 전달 여부에 따라 달라집니다. 미인증 사용자의 장바구니를 세션 간에 저장하려면 모든 요청에서 동일한 `x-unauthorized-id`를 전달합니다. 이 옵션은 게임 키 판매에만 사용할 수 있습니다.\n\n장바구니는 두 가지 방식, 즉 [사용자의 JWT](https://developers.xsolla.com/ko/api/catalog/section/authentication/authentication-using-user's-jwt)를 통해 자동으로 식별하거나 장바구니 ID(`cart_id`)로 식별할 수 있습니다.\n\n장바구니 관리는 클라이언트 측과 서버 측 모두에서 가능합니다.\n\n서버 측에서는 사용자 세션을 복원할 때와 같이 장바구니에 아이템을 채울 수 있습니다. 클라이언트 측에서 가능한 작업은 다음과 같습니다:\n\n* 현재 사용자의 장바구니 또는 ID로 장바구니 가져오기\n* 장바구니 채우기\n* 장바구니의 아이템 업데이트\n* 장바구니에서 아이템 삭제\n\n장바구니에서 아이템을 구매하려면 주문 생성을 위한 클라이언트 및 서버 호출을 사용합니다.\n\n장바구니의 유효 기간(TTL)은 기본적으로 72시간입니다. 새 아이템이 추가되는 등 콘텐츠가 변경되면 TTL이 연장됩니다.\n\n결제가 성공적으로 완료되어도 장바구니는 자동으로 비워지지 않습니다. 장바구니를 비우려면 다음 클라이언트 측 API 호출을 사용합니다.\n  * [장바구니 ID로 모든 장바구니 아이템 삭제하기](/ko/api/catalog/cart-client-side/cart-clear-by-id).\n\n  * [현재 장바구니에서 모든 장바구니 아이템 삭제하기](/ko/api/catalog/cart-client-side/cart-clear).\n\n  * [장바구니 ID로 장바구니 아이템 삭제하기](/ko/api/catalog/cart-client-side/delete-item-by-cart-id) 및 [현재 장바구니에서 장바구니 아이템 삭제하기](/ko/api/catalog/cart-client-side/delete-item) - 장바구니에서 마지막 아이템을 삭제하면 장바구니가 비워집니다.\n\n장바구니 사용 시나리오:\n\n1. 사용자가 아이템을 선택할 스토어 UI를 구현합니다.\n\n2. 사용자가 스토어에서 아이템을 선택하면 해당 아이템을 장바구니에 추가합니다(예: [아이템으로 장바구니 채우기](https://developers.xsolla.com/ko/api/catalog/cart-client-side/cart-fill) 호출 사용). 아이템 배열에서 SKU와 필요한 아이템 수량을 전달해야 합니다.\n\n3. 장바구니 보기 UI를 구현합니다. 사용자가 장바구니로 이동하면 [현재 사용자의 장바구니 가져오기](https://developers.xsolla.com/ko/api/catalog/cart-client-side/get-user-cart) 호출을 사용하여 장바구니의 콘텐츠를 표시합니다. 응답은 할인 및 적용된 프로모션을 포함한 아이템의 최종 가격 정보를 반환합니다.\n\n4. 주문을 결제하기 위해 결제 UI 열기를 구현합니다. 예를 들어 [특정 장바구니의 모든 아이템으로 주문 생성](https://developers.xsolla.com/ko/api/catalog/payment-client-side/create-order-by-cart-id) 호출을 사용할 수 있습니다. 응답은 결제 UI를 여는 데 필요한 토큰을 반환합니다.\n\n5. [웹훅](https://developers.xsolla.com/ko/webhooks/) 등을 사용하여 주문 상태 추적을 구성하면 성공적으로 결제된 아이템에 대한 데이터를 신속하게 수신하고 사용자에게 제공할 수 있습니다.\n\n<div class=\"note\">\n  <p><b>참고</b></p>\n  <p>인게임 및 온라인에서 아이템을 판매하려면<a href=\"https://developers.xsolla.com/ko/virtual-goods/own-ui/\">통합 가이드</a>를 참조하세요.</p>\n</div>\n\n![장바구니 및 결제 절차](https://cdn.xsolla.net/developers/current/images/api_docs/cart-payment-flow.svg)"
    },
    {
      "name": "order-life-cycle",
      "x-displayName": "주문 수명 주기",
      "description": "주문 수명 주기를 이해하면 [주문을 추적](https://developers.xsolla.com/ko/virtual-goods/own-ui/client-side-token-generation/set-up-order-tracking/?tabs=100-trackOrderOnClient_200-api&_xm=4170963201673921623))하고 아이템 배송과 같은 구매 후 로직을 올바르게 구현하는 데 도움이 됩니다.\n\n주문은 다음 단계들을 거칩니다:\n\n<table>\n  <thead>\n  <tr>\n     <td>상태</td>\n     <td>설명</td>\n     <td>참고</td>\n  </tr>\n  </thead>\n  <tbody>\n    <tr>\n     <td> <code>new</code> </td>\n     <td>주문이 생성되었습니다. 시스템은 결제 확인을 기다리고 있습니다.</td>\n     <td>거래 상태 설명은 <a href=\"https://developers.xsolla.com/ko/api/pay-station/reports/find-transactions#reports/find-transactions/t=request&in=query&path=status\">페이 스테이션 API 문서</a>에서 확인할 수 있습니다.</td>\n    </tr>\n    <tr>\n     <td> <code>paid</code> </td>\n     <td>주문 대금이 결제되었으며(거래 상태가 <code>done</code>로 변경됨), 해당 아이템을 사용자에게 제공할 수 있습니다. </td>\n     <td>결제가 확인될 때까지 주문은 <code>new</code> 상태로 남아 있습니다. </td>\n    </tr>\n    <tr>\n     <td> <code>done</code> </td>\n     <td>아이템이 사용자에게 부여됩니다. </td>\n     <td> - </td>\n    </tr>\n    <tr>\n     <td> <code>canceled</code> </td>\n     <td>결제가 환불됩니다. </td>\n     <td> <a href=\"https://developers.xsolla.com/ko/api/pay-station/reports/find-transactions#reports/find-transactions/t=request&in=query&path=status\">거래 상태</a>가  <code>refunded</code>로 변경될 때 주문이 이 상태로 이동합니다. </td>\n    </tr>\n    <tr>\n     <td> <code>expired</code> </td>\n     <td> <a href=\"https://developers.xsolla.com/ko/api/catalog/limits-overview\">한정</a> 아이템, 프로모션 코드 또는 프로모션에 대한 새 주문을 생성하면 해당 아이템이 포함된 기존 미결제 주문은 모두 <code>expired</code> 상태로 변경됩니다. 가장 최근에 주문한 상품에 대해서만 결제가 가능합니다. </td>\n     <td>사용자가 만료된 주문에 대해 비용 결제를 시도하면 <code>2002</code> 오류가 표시되며 결제가 실패합니다. </td>\n    </tr>\n  </tbody>\n</table>\n\n![주문 수명 주기](https://cdn.xsolla.net/developers/current/images/api_docs/order-life-cycle.svg)\n\n<div class=\"note\">\n  <p><b>참고</b></p>\n  <p>사용자가 결제를 완료하는 도중에 주문 상태가 <code>expired</code>로 변경되었으나 결제가 성공적으로 완료된 경우, 주문 상태는 <code>expired</code>에서 <code>paid</code>로 변경됩니다. 이는 결제 시 해당 주문 품목의 구매 한도를 초과하지 않는 경우에만 적용됩니다.</p>\n</div>"
    },
    {
      "name": "cart-client-side",
      "x-displayName": "장바구니(클라이언트 측)",
      "description": "이 섹션의 호출을 사용하여 클라이언트 측에서 장바구니를 관리합니다."
    },
    {
      "name": "cart-server-side",
      "x-displayName": "장바구니(서버 측)",
      "description": "이 섹션의 호출을 사용하여 서버 측에서 장바구니를 관리합니다."
    },
    {
      "name": "payment-client-side",
      "x-displayName": "결제(클라이언트 측)",
      "description": "이 섹션의 호출을 사용하여 클라이언트 측에서 결제 토큰을 생성합니다."
    },
    {
      "name": "payment-server-side",
      "x-displayName": "결제(서버 측)",
      "description": "이 섹션의 호출을 사용하여 서버 측에서 결제 토큰을 생성합니다."
    },
    {
      "name": "order",
      "x-displayName": "주문",
      "description": "이 섹션의 호출을 사용하여 주문에 대한 정보를 얻습니다."
    },
    {
      "name": "free-item",
      "x-displayName": "무료 아이템",
      "description": "이 섹션의 호출을 사용하여 사용자에게 <a href=\"https://developers.xsolla.com/ko/items-catalog/catalog-features/free-items/\">무료 아이템</a>을 제공하세요."
    },
    {
      "name": "limits-overview",
      "x-displayName": "개요",
      "description": "구매 한도를 통해 단일 사용자 또는 모든 사용자가 구매할 수 있는 아이템 수량을 제한할 수 있습니다. 또한 예약된 한도 재설정을 구성할 수 있습니다.\n\n한도는 엑솔라 측에 저장되며 [관리자 페이지](https://publisher.xsolla.com/0/projects/0/storefront/virtual-items) 또는 다음 API 호출의 `limits` 객체를 통해 개별 아이템 수준에서 구성됩니다:\n* [가상 아이템 생성](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-item)\n* [게임 생성](/ko/api/catalog/game-keys-admin/admin-create-game)\n* [가상 머니 생성](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-currency)\n* [인게임 재화 패키지 생성](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-currency-package)\n* [번들 생성](/ko/api/catalog/bundles-admin/admin-create-bundle)\n\n한도 정보는 아이템 카탈로그를 가져오는 다음 API 호출의 `items.limits` 객체에 반환됩니다:\n* [가상 아이템 목록 가져오기](/ko/api/catalog/virtual-items-currency-catalog/get-virtual-items)\n* [가상 머니 목록 가져오기](/ko/api/catalog/virtual-items-currency-catalog/get-virtual-currency)\n* [인게임 재화 패키지 목록 가져오기](/ko/api/catalog/virtual-items-currency-catalog/get-virtual-currency-packages)\n* [번들 목록 가져오기](/ko/api/catalog/bundles-catalog/get-bundle-list)\n* [게임 목록 가져오기](/ko/api/catalog/game-keys-catalog/get-games-list)\n\n**한도** 그룹의 **관리** 하위 섹션에 있는 API 호출은 현재 한도의 상태를 검색하고 특정 사용자에 대해 업데이트할 수 있도록 합니다. 예를 들어, 퀘스트 완료 후 카운터를 재설정하거나 남은 수량을 수동으로 조정할 수 있습니다.\n\n<div class=\"note\">\n  <b>참고</b><br><br>\n  카탈로그에서 한도를 구성하는 방법에 대한 자세한 정보는 <a href=\"/ko/items-catalog/catalog-features/items-catalog-number-limits/\">아이템 구매 한도</a> 섹션을 참조하세요.\n</div>\n\n## 한도 유형\n\n다음 한도 유형을 구성할 수 있습니다:\n* [limits.per_item](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-item#virtual-items-currency-admin/admin-create-virtual-item/t=request&path=limits/per_item) — 글로벌 아이템 구매 한도. 모든 사용자가 총 구매할 수 있는 최대 수량을 정의합니다.\n* [limits.per_user](/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-item#virtual-items-currency-admin/admin-create-virtual-item/t=request&path=limits/per_user) — 단일 사용자에 대한 구매 한도:\n    * 인증되지 않은 사용자는 구매할 수 있는 최대 아이템 수량을 항상 볼 수 있습니다.\n    * 인증된 사용자는 활성 한도가 적용된 남은 수량을 볼 수 있습니다.\n\n`limits.per_user`에 대해 다음 추가 설정이 가능합니다:\n* [limits.recurrent_schedule](/ko/api/catalog/virtual-items-currency-admin/admin-get-virtual-currencies-list#virtual-items-currency-admin/admin-get-virtual-currencies-list/t=response&c=200&path=items/limits/recurrent_schedule) - 예약된 한도 재설정 기간: 일간, 주간 또는 월간.\n* [limits.per_user.limit_exceeded_visibility](/ko/api/catalog/virtual-items-currency-admin/admin-get-virtual-currencies-list#virtual-items-currency-admin/admin-get-virtual-currencies-list/t=response&c=200&path=items/limits/per_user/limit_exceeded_visibility) - 구매 한도에 도달한 후에도 아이템이 카탈로그에 계속 표시되는지 여부. `limits.recurrent_schedule`이 구성된 경우에만 사용 가능합니다.\n\n## 구매 한도 구성 및 적용 시나리오\n\n아래 예시는 특정 사용자에 대한 구매 한도를 구성하는 시나리오를 설명합니다. 아이템은 `limit_exceeded_visibility: hide`로 구성되어 있으며, 한도에 도달하면 다음 예정된 재설정까지 카탈로그를 검색하는 API 호출에서 더 이상 반환되지 않습니다.\n\n1. **Admin** 하위 섹션의 [가상 아이템 및 가상 머니](/ko/api/catalog/virtual-items-currency-admin/admin-get-virtual-items-list/), [번들](/ko/api/catalog/bundles-admin/admin-create-bundle), 또는 [게임 키](/ko/api/catalog/game-keys-admin) 그룹의 API 호출을 사용하여 아이템을 생성하고 `limits` 객체를 전달합니다.\n\n```json\n{\n  \"limits\": {\n    \"per_user\": {\n      \"total\": 5,\n      \"limit_exceeded_visibility\": \"hide\"\n    },\n    \"recurrent_schedule\": {\n        \"per_user\": {\n          \"interval_type\": \"weekly\",\n          \"time\": \"10:00:00+08:00\",\n          \"day_of_week\": 5\n        }\n    }\n  }\n}\n```\n\n2. 인증되지 않은 사용자에 대해 카탈로그를 요청합니다 - 응답은 사용자가 구매할 수 있는 최대 아이템 수량을 반환합니다.\n3. 사용자가 로그인합니다.\n4. 사용자의 인증 데이터를 사용하여 카탈로그를 요청합니다 - 응답은 적용된 활성 한도가 있는 남은 아이템 수량을 반환합니다.\n5. 사용자가 아이템을 선택하고 구매를 진행합니다.\n6. 결제가 성공적으로 완료되면, 엑솔라는 `per_user` 값을 업데이트합니다. `per_user`가 `0`에 도달하면, 해당 사용자를 위한 카탈로그를 검색하는 API 호출에서 더 이상 아이템이 반환되지 않습니다.\n7. **Management** 하위 섹션의 API 호출을 사용하여 한도를 업데이트할 수 있습니다: [사용자의 모든 구매 한도 새로 고침](/ko/api/catalog/user-limits-admin/reset-all-user-items-limit/), [특정 값 설정](/ko/api/catalog/user-limits-admin/set-user-item-limit/), [증가](/ko/api/catalog/user-limits-admin/add-user-item-limit/), 또는 [사용 가능한 수량 감소](/ko/api/catalog/user-limits-admin/remove-user-item-limit/).\n8. 사용자의 인증 데이터를 사용하여 다음 카탈로그 요청 시 `items.limits`에서 업데이트된 한도 값을 검색하고 사용자에게 표시합니다.\n\n![아이템 한도](https://cdn.xsolla.net/developers/current/images/api_docs/api-item-limits.png)"
    },
    {
      "name": "user-limits-admin",
      "x-displayName": "관리"
    },
    {
      "name": "connector-admin",
      "x-displayName": "관리자"
    },
    {
      "name": "common-pre-orders",
      "x-displayName": "선주문"
    },
    {
      "name": "common-merchant",
      "x-displayName": "판매자"
    },
    {
      "name": "common-catalog",
      "x-displayName": "카탈로그",
      "description": "이 API를 사용하면 모든 종류의 판매할 수 있는 아이템 또는 특정 아이템을 가져올 수 있습니다."
    },
    {
      "name": "common-regions",
      "x-displayName": "공통 지역",
      "description": "지역별 판매 제한을 사용하면 특정 국가 또는 국가 그룹에서 아이템 가용성을 관리할 수 있습니다. 예를 들어 라이선스 제한으로 특정 국가에서만 게임을 판매할 수 있습니다.\n\n제한은 지역을 사용하여 구성합니다. 각 지역은 하나의 `region_id` 식별자 아래 하나 이상의 국가를 그룹화합니다. 아이템을 하나 이상의 지역에 연결할 수 있습니다.\n\n아이템 가용성은 다음과 같이 결정됩니다.\n\n* 아이템에 지역이 지정되지 않은 경우 모든 국가에서 구매할 수 있습니다.\n* 아이템에 지역이 지정되어 있고 사용자의 국가가 해당 지역에 포함된 경우 이 사용자는 해당 아이템을 구매할 수 있습니다.\n* 아이템에 지역이 지정되어 있지만 사용자의 국가가 어느 지역에도 포함되지 않은 경우 이 사용자는 해당 아이템을 구매할 수 없습니다.\n\n**카탈로그** 하위 섹션의 API 호출을 통해 카탈로그를 요청할 때 사용자의 국가는 `country` 매개 변수로 전달됩니다. 이 매개 변수를 전달하지 않으면 사용자의 IP 주소를 기준으로 국가가 결정됩니다.\n\n사용자의 국가는 카탈로그 요청 시와 주문 생성 시 두 번 아이템의 지역과 대조하여 확인됩니다. 구매할 수 없는 아이템은 카탈로그 응답에 포함되지 않으며, 해당 아이템이 포함된 주문은 생성되지 않습니다.\n\n**공통 지역** 그룹의 API 호출을 사용하여 지역을 생성, 업데이트 및 삭제를 진행합니다.\n\n지역별 판매 제한 설정 절차:\n\n1. 국가 목록을 지정하고 [지역 생성](https://developers.xsolla.com/ko/api/catalog/common-regions/admin-create-region/) API 호출을 사용하여 지역을 생성합니다. 응답으로 다음 단계에 필요한 `region_id`가 반환됩니다.\n2. 가상 아이템의 `region_id`를 `regions` 배열에 전달하여 아이템을 [생성](https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-admin/admin-create-virtual-item/)하거나 [업데이트](https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-admin/admin-update-virtual-item/)하고 지역에 연결합니다.\n3. **카탈로그** 하위 섹션의 API 호출(예: [가상 아이템 목록 가져오기](https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-catalog/get-virtual-items) API 호출)을 사용하여 사용자에게 카탈로그를 표시합니다. 사용자의 국가는 `country` 매개 변수로 결정되며, 이 매개 변수를 제공하지 않으면 사용자의 IP 주소를 기준으로 결정됩니다. 사용자의 국가에서 구매할 수 없는 아이템은 카탈로그 응답에 포함되지 않습니다.\n4. 사용자가 아이템 또는 장바구니 결제를 진행하면 주문을 생성합니다:\n    * 아이템이 장바구니에 추가된 경우 [특정 장바구니의 모든 아이템으로 주문 생성](https://developers.xsolla.com/ko/api/catalog/payment-client-side/create-order) 또는 [현재 장바구니의 모든 아이템으로 주문 생성](https://developers.xsolla.com/ko/api/catalog/payment-client-side/create-order) API 호출을 사용합니다.\n    * 단일 아이템을 바로 구매하는 경우 [특정 아이템으로 주문 생성](https://developers.xsolla.com/ko/api/catalog/payment-client-side/create-order-with-item) API 호출을 사용하고 아이템 SKU를 전달합니다.\n\n  응답에는 결제 UI를 여는 데 사용할 토큰이 포함됩니다.\n\n<div class=\"note\">\n  <b>참고</b><br><br>\n엑솔라는 사용자의 국가가 아이템에 지정된 지역에 포함되어 있는지 확인합니다. 해당 국가가 아이템의 지역에 포함되어 있지 않으면 주문을 생성할 수 없습니다.\n</div>\n\n<br>\n\n5. 주문 결제를 위해 결제 UI를 여는 기능을 구현합니다.\n\n![공통 지역](https://cdn.xsolla.net/developers/current/images/api_docs/api-regions.svg)"
    },
    {
      "name": "attribute-admin",
      "x-displayName": "관리자"
    },
    {
      "name": "item-groups-admin",
      "x-displayName": "관리자"
    },
    {
      "name": "item-groups-catalog",
      "x-displayName": "카탈로그"
    },
    {
      "name": "common-webhooks",
      "x-displayName": "웹훅"
    }
  ],
  "paths": {
    "/v2/project/{project_id}/admin/items/virtual_items": {
      "get": {
        "summary": "가상 아이템 목록 가져오기",
        "description": "관리를 위해 프로젝트 내부의 가상 아이템 목록을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "operationId": "admin-get-virtual-items-list",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-items"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      },
      "post": {
        "summary": "가상 아이템 생성하기",
        "description": "가상 아이템을 생성합니다.",
        "security": [
          {
            "basicAuth": []
          }
        ],
        "operationId": "admin-create-virtual-item",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "requestBody": {
          "description": "<div class=\"note\">\n    <b>참고</b><br><br>\n      요청 본문 구조에는 지역별 가격 책정, 구매 한도, 기간 한정 가용성과 같은 고급 사용 사례를 위한 선택적 매개 변수가 포함되어 있습니다. 기본 아이템을 생성하려면 <code>sku</code>, <code>name</code> 및 <code>description</code> 매개 변수를 지정하십시오. 인게임 재화로 가격을 설정하려면 <code>prices</code> 매개 변수를, 인게임 재화로 설정하려면 <code>vc_prices</code>매개 변수를 지정하십시오. 아이템을 무료로 제공하려면 <code>is_free: true</code>를 설정하십시오.\n</div>\n\n<br>",
          "$ref": "#/components/requestBodies/Virtual-Items-Currency_admin-create-virtual-item"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/Virtual-Items-Currency_201-created"
          },
          "422": {
            "$ref": "#/components/responses/Virtual-Items-Currency_422-invalid-request"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_items/group/external_id/{external_id}": {
      "get": {
        "summary": "지정한 그룹 외부 ID로 가상 아이템 목록 가져오기",
        "description": "관리를 위해 그룹 내부의 가상 아이템 목록을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "operationId": "admin-get-virtual-items-list-by-group-external-id",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-items-by-group"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_items/group/id/{group_id}": {
      "get": {
        "summary": "지정한 그룹 ID로 가상 아이템 목록 가져오기",
        "description": "관리를 위해 그룹 내부의 가상 아이템 목록을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/group_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "operationId": "admin-get-virtual-items-list-by-group-id",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-items-by-group"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_items/sku/{item_sku}": {
      "get": {
        "summary": "가상 아이템 가져오기",
        "description": "관리를 위해 프로젝트 내부의 가상 아이템을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "operationId": "admin-get-virtual-item",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-item"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      },
      "put": {
        "summary": "가상 아이템 업데이트",
        "description": "가상 아이템을 업데이트합니다.",
        "operationId": "admin-update-virtual-item",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "requestBody": {
          "description": "<div class=\"note\">\n  <b>참고</b><br><br>\n    요청 본문 구조에는 지역별 가격 책정, 구매 한도, 기간 한정 가용성과 같은 고급 사용 사례를 위한 선택적 매개 변수가 포함되어 있습니다.\n</div>\n\n<br>\n\n<div class=\"notice\">\n  <b>주의</b><br><br>\n    업데이트할 필요가 없는 매개 변수를 포함하여 모든 아이템 매개 변수를 전달하십시오. 요청에서 생략된 매개 변수는 제거됩니다.\n</div>\n\n<br>",
          "$ref": "#/components/requestBodies/Virtual-Items-Currency_admin-create-virtual-item"
        },
        "responses": {
          "204": {
            "description": "가상 아이템을 성공적으로 업데이트했습니다.",
            "content": {}
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          },
          "422": {
            "$ref": "#/components/responses/Virtual-Items-Currency_422-invalid-request"
          }
        }
      },
      "delete": {
        "summary": "가상 아이템 삭제",
        "description": "가상 아이템을 삭제합니다.",
        "operationId": "admin-delete-virtual-item",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "responses": {
          "204": {
            "description": "가상 아이템을 성공적으로 삭제했습니다.",
            "content": {}
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_currency": {
      "get": {
        "summary": "인게임 재화 목록 가져오기",
        "description": "관리를 위해 프로젝트 내부의 인게임 재화 목록을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "operationId": "admin-get-virtual-currencies-list",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-currencies"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      },
      "post": {
        "summary": "인게임 재화 생성하기",
        "operationId": "admin-create-virtual-currency",
        "security": [
          {
            "basicAuth": []
          }
        ],
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "description": "인게임 재화를 생성합니다.",
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/Virtual-Items-Currency_admin-create-virtual-currency"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/Virtual-Items-Currency_201-created"
          },
          "422": {
            "$ref": "#/components/responses/Virtual-Items-Currency_422-invalid-request"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_currency/sku/{virtual_currency_sku}": {
      "get": {
        "summary": "인게임 재화 가져오기",
        "description": "관리를 위해 프로젝트 내부의 인게임 재화를 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "operationId": "admin-get-virtual-currency",
        "security": [
          {
            "basicAuth": []
          }
        ],
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/virtual_currency_sku-path-param"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-currency"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/Virtual-Items-Currency_404-item"
          }
        }
      },
      "put": {
        "summary": "인게임 재화 업데이트",
        "description": "인게임 재화를 업데이트합니다.",
        "operationId": "admin-update-virtual-currency",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/virtual_currency_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/Virtual-Items-Currency_admin-create-virtual-currency"
        },
        "responses": {
          "204": {
            "description": "인게임 재화를 성공적으로 업데이트했습니다.",
            "content": {}
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          },
          "422": {
            "$ref": "#/components/responses/Virtual-Items-Currency_422-invalid-request"
          }
        }
      },
      "delete": {
        "summary": "인게임 재화 삭제",
        "description": "인게임 재화를 삭제합니다.",
        "operationId": "admin-delete-virtual-currency",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/virtual_currency_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "responses": {
          "204": {
            "description": "인게임 재화를 성공적으로 삭제했습니다.",
            "content": {}
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_currency/package": {
      "get": {
        "summary": "인게임 재화 패키지 목록 가져오기(관리자)",
        "description": "관리를 위해 프로젝트 내부의 인게임 재화 목록을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "operationId": "admin-get-virtual-currency-packages-list",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-currency-packages"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      },
      "post": {
        "summary": "인게임 재화 패키지 생성하기",
        "description": "인게임 재화 패키지를 생성합니다.",
        "security": [
          {
            "basicAuth": []
          }
        ],
        "operationId": "admin-create-virtual-currency-package",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/Virtual-Items-Currency_admin-create-virtual-currency-package"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/Virtual-Items-Currency_201-created"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          },
          "422": {
            "$ref": "#/components/responses/Virtual-Items-Currency_422-invalid-request"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/virtual_currency/package/sku/{item_sku}": {
      "put": {
        "summary": "인게임 재화 패키지 업데이트",
        "description": "인게임 재화 패키지 업데이트",
        "operationId": "admin-update-virtual-currency-package",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/Virtual-Items-Currency_admin-create-virtual-currency-package"
        },
        "responses": {
          "204": {
            "description": "가상 아이템을 성공적으로 업데이트했습니다."
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          },
          "422": {
            "$ref": "#/components/responses/Virtual-Items-Currency_422-invalid-request"
          }
        }
      },
      "delete": {
        "summary": "인게임 재화 패키지 삭제",
        "description": "인게임 재화 패키지를 삭제합니다.",
        "operationId": "admin-delete-virtual-currency-package",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "responses": {
          "204": {
            "description": "인게임 재화 패키지를 성공적으로 업데이트했습니다."
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      },
      "get": {
        "summary": "인게임 재화 패키지 가져오기",
        "description": "관리를 위해 프로젝트 내부의 인게임 재화 패키지를 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.</div>",
        "operationId": "admin-get-virtual-currency-package",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          }
        ],
        "tags": [
          "virtual-items-currency-admin"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-admin-get-virtual-currency-package"
          },
          "401": {
            "$ref": "#/components/responses/Virtual-Items-Currency_401-invalid-basic-auth"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_items": {
      "get": {
        "summary": "가상 아이템 목록 가져오기",
        "description": "카탈로그 작성을 위해 아이템 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>공지</strong><br><br>\n    모든 프로젝트에는 응답에서 가져올 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 <strong>응답당 50개 아이템</strong>입니다. 페이지별로 더 많은 데이터를 얻으려면 <b>limit</b> 및 <b>offset</b> 입력란을 사용하세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>\n\n<br> <b>참고:</b> 클라이언트 측 검색 또는 인덱싱을 위한 <a href=\"https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-catalog/get-all-virtual-items\" target=\"_blank\">모든 가상 아이템 목록 가져오기</a> API 호출을 참조하세요.",
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "operationId": "get-virtual-items",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-items-list"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_items/sku/{item_sku}": {
      "get": {
        "summary": "SKU별로 가상 아이템 가져오기",
        "description": "카탈로그 빌드를 위해 SKU별로 가상 아이템을 가져옵니다.\n\n<div class=\"note\">\n  <strong>알림</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 한도 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">사용자 맞춤형</a> 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하세요. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안 블록</b>을 참조하세요.\n</div>",
        "operationId": "get-virtual-items-sku",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-item-by-sku"
          },
          "404": {
            "$ref": "#/components/responses/Virtual-Items-Currency_404-item"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_items/all": {
      "get": {
        "summary": "모든 가상 아이템 목록 가져오기",
        "description": "클라이언트 측 검색을 위한 모든 가상 아이템 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>알림</strong><br><br>\n    아이템 SKU, 이름, 그룹 및 설명만 반환합니다.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>\n\n<br> <b>참고:</b> 페이지 매김을 통해 자세한 아이템 데이터를 검색하기 위한 <a href=\"https://developers.xsolla.com/ko/api/catalog/virtual-items-currency-catalog/get-virtual-items\" target=\"_blank\">가상 아이템 목록 가져오기</a> API 호출을 참조하세요.",
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "operationId": "get-all-virtual-items",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-all-items-list"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_currency": {
      "get": {
        "summary": "인게임 재화 목록 가져오기",
        "description": "카탈로그 작성을 위해 인게임 재화 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>주의</strong><br><br>\n    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 <strong>응답당 50개 항목</strong>입니다. 페이지별로 더 많은 데이터를 얻으려면 <b>limit</b> 및 <b>offset</b> 입력란을 사용하세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "operationId": "get-virtual-currency",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-virtual-currency-list"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_currency/sku/{virtual_currency_sku}": {
      "get": {
        "summary": "SKU별로 인게임 재화 가져오기",
        "description": "카탈로그 빌드를 위해 SKU별로 인게임 재화를 가져옵니다.\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "operationId": "get-virtual-currency-sku",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/virtual_currency_sku-path-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-virtual-currency"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_currency/package": {
      "get": {
        "summary": "인게임 재화 패키지 목록 가져오기",
        "description": "카탈로그 작성을 위해 인게임 재화 패키지 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>주의</strong><br><br>\n    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 <strong>응답당 50개 항목</strong>입니다. 페이지별로 더 많은 데이터를 얻으려면 <b>limit</b> 및 <b>offset</b> 입력란을 사용하세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "operationId": "get-virtual-currency-package",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-virtual-currency-packages-list"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_currency/package/sku/{virtual_currency_package_sku}": {
      "get": {
        "summary": "SKU별 인게임 재화 패키지 받기",
        "description": "카탈로그를 작성하기 위해 SKU별로 가상 재화 패키지를 가져옵니다.\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "operationId": "get-virtual-currency-package-sku",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/virtual_currency_package_sku-path-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-virtual-currency-package"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_items/group/{external_id}": {
      "get": {
        "summary": "지정한 그룹으로 아이템 목록 가져오기",
        "description": "카탈로그 작성을 위해 지정된 그룹에서 아이템 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>주의</strong><br><br>\n    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 <strong>응답당 50개 항목</strong>입니다. 페이지별로 더 많은 데이터를 얻으려면 <b>limit</b> 및 <b>offset</b> 입력란을 사용하세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "operationId": "get-virtual-items-group",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-items-by-group-id"
          },
          "404": {
            "$ref": "#/components/responses/Virtual-Items-Currency_404-item-group"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_currency/group/{external_id}": {
      "get": {
        "summary": "지정한 그룹으로 인게임 재화 목록 가져오기",
        "description": "카탈로그 작성을 위해 지정한 그룹에서 인게임 재화 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>주의</strong><br><br>\n    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 <strong>응답당 50개 항목</strong>입니다. 페이지별로 더 많은 데이터를 얻으려면 <b>limit</b> 및 <b>offset</b> 입력란을 사용하세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "operationId": "get-virtual-currency-group",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-virtual-currency-by-group-id"
          },
          "404": {
            "$ref": "#/components/responses/Virtual-Items-Currency_404-item-group"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/virtual_currency/package/group/{external_id}": {
      "get": {
        "summary": "지정한 그룹으로 인게임 재화 패키지 목록 가져오기",
        "description": "카탈로그 작성을 위해 지정한 그룹에서 인게임 재화 패키지 목록을 가져옵니다.\n\n<div class=\"notice\">\n  <strong>주의</strong><br><br>\n    모든 프로젝트에는 응답에서 가져올 수 있는 항목 수에 제한이 있습니다. 기본 및 최대 값은 <strong>응답당 50개 항목</strong>입니다. 페이지별로 더 많은 데이터를 얻으려면 <b>limit</b> 및 <b>offset</b> 입력란을 사용하세요.\n</div>\n\n<br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "operationId": "get-virtual-currency-package-group",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          },
          {
            "$ref": "#/components/parameters/limit-query-param"
          },
          {
            "$ref": "#/components/parameters/offset-query-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/additional_fields-query-param"
          },
          {
            "$ref": "#/components/parameters/country-query-param"
          },
          {
            "$ref": "#/components/parameters/promo_code-query-param"
          },
          {
            "$ref": "#/components/parameters/show_inactive_time_limited_items-query-param"
          }
        ],
        "tags": [
          "virtual-items-currency-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-virtual-currency-packages-by-group-id"
          },
          "404": {
            "$ref": "#/components/responses/Virtual-Items-Currency_404-item-group"
          }
        }
      }
    },
    "/v2/project/{project_id}/items/groups": {
      "get": {
        "summary": "아이템 그룹 목록 가져오기",
        "description": "페이지 매김 없이 카탈로그를 작성하기 위한 아이템 그룹 목록을 검색합니다.\n\n<div class=\"note\"><b>Note</b><br><br>In general, the use of catalog of items is available without authorization.<br> Only authorized users can get <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">a personalized catalog.</a></div>",
        "operationId": "get-item-groups",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "security": [],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/locale-query-param"
          },
          {
            "$ref": "#/components/parameters/with_geo-query-param"
          }
        ],
        "tags": [
          "item-groups-catalog"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/Virtual-Items-Currency_200-get-items-groups"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/groups": {
      "get": {
        "summary": "아이템 그룹 목록 가져오기",
        "description": "프로젝트 내의 모든 아이템 그룹 목록을 페이지 매김 없이 가져옵니다. 관리 목적으로 사용됩니다.\n\n<div class=\"note\"><b>참고</b><br><br>스토어 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요. 대신 <a href=\"/ko/api/catalog/item-groups-catalog/get-item-groups\">아이템 그룹 목록 가져오기</a> 클라이언트 측 엔드포인트를 사용하세요.</div>",
        "operationId": "admin-get-item-group-list",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ItemGroup_200-admin-get-group-list"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          }
        }
      },
      "post": {
        "summary": "아이템 그룹 생성하기",
        "description": "프로젝트 내에 아이템 그룹을 생성합니다.\n카탈로그 작성을 위해 아이템 그룹을 가져오려면 <a href=\"/ko/api/catalog/item-groups-catalog/get-item-groups\">아이템 그룹 목록 가져오기</a> 클라이언트 측 엔드포인트를 사용하세요.",
        "operationId": "admin-create-item-group",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/ItemGroup_create"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/ItemGroup_201-admin-create-group"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "422": {
            "$ref": "#/components/responses/ItemGroup_422-create-update"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/groups/{external_id}": {
      "get": {
        "summary": "외부 ID로 아이템 그룹 가져오기",
        "description": "관리 목적으로 외부 ID로 아이템 그룹을 가져옵니다.\n\n<div class=\"note\"><b>참고</b><br><br>스토어 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요. 대신 <a href=\"/ko/api/catalog/item-groups-catalog/get-item-groups\">아이템 그룹 목록 가져오기</a> 클라이언트 측 엔드포인트를 사용하세요.</div>",
        "operationId": "admin-get-item-group",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ItemGroup_200-admin-get-group"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-group-not-found"
          }
        }
      },
      "put": {
        "summary": "아이템 그룹 업데이트",
        "description": "외부 ID로 아이템 그룹을 업데이트합니다.",
        "operationId": "admin-update-item-group",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/ItemGroup_update"
        },
        "responses": {
          "204": {
            "$ref": "#/components/responses/ItemGroup_204-admin-update-group"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-group-not-found"
          },
          "422": {
            "$ref": "#/components/responses/ItemGroup_422-create-update"
          }
        }
      },
      "delete": {
        "summary": "아이템 그룹 삭제",
        "description": "외부 ID로 아이템 그룹을 삭제합니다.",
        "operationId": "admin-delete-item-group",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "responses": {
          "204": {
            "$ref": "#/components/responses/ItemGroup_204-admin-delete-group"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-group-not-found"
          },
          "422": {
            "$ref": "#/components/responses/ItemGroup_422-delete"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/{item_type}/groups": {
      "get": {
        "summary": "아이템 유형으로 필터링된 아이템 그룹 목록 가져오기",
        "description": "아이템 유형으로 필터링하여 아이템 그룹 목록을 가져옵니다. 지정된 유형의 아이템만 해당 그룹에 포함됩니다. 이는 [아이템 그룹 목록 가져오기](/ko/api/catalog/item-groups-admin/admin-get-item-group-list) 엔드포인트와 유사하지만, 아이템을 집계할 때 유형이 추가 필터링으로 적용된다는 점이 다릅니다.",
        "operationId": "admin-get-item-group-list-by-item-type",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_type-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ItemGroup_200-admin-get-group-list-by-item-type"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/items/{item_type}/groups/{external_id}": {
      "get": {
        "summary": "아이템 유형으로 필터링된 외부 ID로 아이템 그룹 가져오기",
        "description": "외부 ID로 아이템 그룹을 가져옵니다. 지정된 유형의 아이템만 해당 그룹에 포함됩니다. 이는 [외부 ID로 아이템 그룹 가져오기](/ko/api/catalog/item-groups-admin/admin-get-item-group) 엔드포인트와 유사하지만, 아이템을 집계할 때 유형이 추가 필터링으로 적용된다는 점이 다릅니다.",
        "operationId": "admin-get-item-group-by-item-type",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_type-group-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ItemGroup_200-admin-get-group-by-item-type"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-group-not-found"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/group/order": {
      "put": {
        "summary": "아이템 그룹 재정렬",
        "description": "프로젝트 내 아이템 그룹의 표시 순서를 설정합니다. 그룹의 새로운 순서 값을 포함한 목록을 전달하세요.",
        "operationId": "admin-reorder-item-groups",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/ItemGroup_order"
        },
        "responses": {
          "204": {
            "$ref": "#/components/responses/ItemGroup_204-admin-reorder-groups"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-reorder-groups-not-found"
          },
          "422": {
            "$ref": "#/components/responses/ItemGroup_422-ordering"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/group/{external_id}/order/item": {
      "put": {
        "summary": "그룹 내 아이템 재정렬(외부 ID 기준)",
        "description": "외부 ID로 식별된 그룹 내 아이템의 표시 순서를 설정합니다. 아이템의 새로운 순서 값을 포함한 배열을 전달하세요.",
        "operationId": "admin-reorder-items-in-group",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/external_id-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/ItemGroup_item_order"
        },
        "responses": {
          "204": {
            "$ref": "#/components/responses/ItemGroup_204-admin-reorder-items"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-reorder-items-by-external-id-not-found"
          },
          "422": {
            "$ref": "#/components/responses/ItemGroup_422-ordering"
          }
        }
      }
    },
    "/v2/project/{project_id}/admin/group/id/{id}/order/item": {
      "put": {
        "summary": "그룹 내 아이템 재정렬(ID 기준)",
        "description": "내부 숫자 ID로 식별된 그룹 내 아이템의 표시 순서를 설정합니다. 아이템의 새로운 순서 값을 포함한 목록을 전달하세요.",
        "operationId": "admin-reorder-items-in-group-by-id",
        "x-badges": [
          {
            "name": "Server-side",
            "color": "#95ff80"
          },
          {
            "name": "Admin",
            "color": "#d7dee0"
          }
        ],
        "security": [
          {
            "basicAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/id-group-path-param"
          }
        ],
        "tags": [
          "item-groups-admin"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/ItemGroup_item_order"
        },
        "responses": {
          "204": {
            "$ref": "#/components/responses/ItemGroup_204-admin-reorder-items"
          },
          "401": {
            "$ref": "#/components/responses/ItemGroup_401-invalid-basic-auth"
          },
          "404": {
            "$ref": "#/components/responses/ItemGroup_404-reorder-items-by-id-not-found"
          },
          "422": {
            "$ref": "#/components/responses/ItemGroup_422-ordering"
          }
        }
      }
    },
    "/v2/project/{project_id}/payment/item/{item_sku}/virtual/{virtual_currency_sku}": {
      "post": {
        "summary": "특정 아이템을 인게임 재화로 구매하는 주문 생성",
        "description": "인게임 재화를 사용하여 아이템 구매를 생성합니다. <br>\n\n<div class=\"note\">\n  <strong>참고</strong><br><br>\n    이 API 호출은 인증 없이 사용될 때 일반적인 아이템 카탈로그 데이터를 반환합니다. 인증을 사용하여 아이템과 관련된 제한 및 프로모션과 같은 <a href=\"https://developers.xsolla.com/ko/doc/shop-builder/features/personalization/\" target=\"_blank\">개인화된</a> 사용자 데이터를 검색하세요. 이를 위해 <code>Authorization</code> 헤더에 사용자 JWT를 전달하십시오. 사용자 JWT에 대한 자세한 내용은 이 호출의 <b>보안</b> 블록을 참조하십시오.\n</div>",
        "operationId": "create-order-with-item-for-virtual-currency",
        "x-badges": [
          {
            "name": "Client-side",
            "color": "#80eaff"
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id-path-param"
          },
          {
            "$ref": "#/components/parameters/item_sku-path-param"
          },
          {
            "$ref": "#/components/parameters/virtual_currency_sku-path-param"
          },
          {
            "$ref": "#/components/parameters/platform-query-param"
          }
        ],
        "tags": [
          "virtual-payment"
        ],
        "security": [
          {
            "XsollaLoginUserJWT": []
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "custom_parameters": {
                    "$ref": "#/components/schemas/Cart-Payment_custom_parameters"
                  }
                }
              },
              "example": {
                "custom_parameters": {
                  "array_param": [
                    {
                      "object1": {
                        "param": "https://xsolla.com"
                      },
                      "property": {
[...]
